@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100..900&family=Zen+Kaku+Gothic+New:wght@300;400;500;700;900&display=swap");
* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  overflow: hidden;
  border-radius: 0;
}

html {
  scroll-behavior: smooth;
  overflow-y: auto;
}

body {
  display: block;
  width: 100vw;
  background-color: #f0f0f0;
  font-family: "Montserrat", "Zen Kaku Gothic New", sans-serif;
  font-weight: 400;
  padding-bottom: 96px;
}
body::-webkit-scrollbar {
  width: 10px;
}
body::-webkit-scrollbar-thumb {
  background-color: #444;
  border-radius: 10px;
  border: 2px solid transparent;
  background-clip: content-box;
}
body::-webkit-scrollbar-thumb:hover {
  background-color: #222;
}
body::-webkit-scrollbar-track {
  background-color: transparent;
}

::-moz-selection {
  background-color: rgba(0, 0, 0, 0.1333333333);
}

::selection {
  background-color: rgba(0, 0, 0, 0.1333333333);
}

header {
  position: fixed;
  left: 0;
  top: 0;
  display: flex;
  align-items: center;
  width: 100%;
  height: 88px;
  z-index: 99;
}
header .header_logo {
  display: grid;
  place-items: center;
  height: 100%;
  padding-inline: 56px;
  cursor: pointer;
}
header .header_logo svg {
  display: block;
  height: 40%;
  fill: #202020;
  overflow: visible;
  filter: drop-shadow(0 0 12px #fff);
  transition: fill 0.15s ease;
}
header .header_logo:hover svg {
  fill: rgba(32, 32, 32, 0.4666666667);
}

main {
  position: relative;
  display: block;
  width: 100%;
}
main .main_bio {
  position: relative;
  display: grid;
  place-items: center;
  place-content: center;
  width: 100%;
  height: 100svh;
  background-image: linear-gradient(to bottom, #eef, #f0f0f0);
}
main .main_bio .bio_logo {
  position: relative;
  display: grid;
  place-items: center;
  width: 100%;
  height: auto;
  z-index: 1;
  animation: appear_logo 2s cubic-bezier(0.22, 1, 0.36, 1) both;
}
main .main_bio .bio_logo svg {
  display: block;
  width: min(100% - 2rem, 520px);
  fill: #202020;
}
main .main_bio .bio_desc {
  position: relative;
  display: block;
  margin-top: 56px;
  margin-inline: 20px;
  z-index: 1;
}
main .main_bio .bio_desc p {
  display: block;
  font-size: 20px;
  color: #202020;
  font-weight: 400;
  text-align: center;
  line-height: 1.7;
  word-break: keep-all;
}
main .main_bio .bio_desc p span.italic {
  font-style: italic;
}
main .main_bio .bio_desc p .animate-char {
  display: inline-block;
  animation: appear_logo 2s cubic-bezier(0.22, 1, 0.36, 1) both;
}
main .main_bio .bio_imgs {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 48px;
  width: 92vw;
  margin-inline: auto;
  overflow: hidden;
  z-index: 0;
  -webkit-mask-image: linear-gradient(to right, transparent, black 15%, black 85%, transparent);
          mask-image: linear-gradient(to right, transparent, black 15%, black 85%, transparent);
  animation: fade_in 1s ease both 1.8s;
}
main .main_bio .bio_imgs_inner {
  display: flex;
  width: -moz-max-content;
  width: max-content;
  flex-wrap: nowrap;
  gap: 40px;
  padding-right: 40px;
  padding-block: 16px;
  animation: loop-scroll 25s linear infinite;
  will-change: transform;
  backface-visibility: hidden;
  transform: translateZ(0);
}
main .main_bio .bio_imgs_inner img {
  height: 256px;
  width: auto;
  display: block;
  -o-object-fit: contain;
     object-fit: contain;
  opacity: 1;
  border-radius: 4px;
  box-shadow: 0 0 24px -12px rgba(0, 0, 0, 0.6666666667);
  transition: 0.3s;
}
main .main_bio .bio_imgs_inner img:hover {
  filter: grayscale(0%);
  opacity: 1;
}
main .main_bio .bio_scrolldown {
  position: absolute;
  right: 24px;
  bottom: 24px;
  overflow: visible;
  transition: all 0.6s ease;
  animation: appear_oth 1s ease both 2s;
}
main .main_bio .bio_scrolldown svg {
  display: block;
  height: 96px;
  fill: rgba(0, 0, 0, 0.4666666667);
}
main .main_bio .bio_scrolldown.hide {
  opacity: 0;
  translate: 0 50px;
}
main .main_tools {
  display: block;
  padding-block: 128px 32px;
  box-sizing: border-box;
}
main .main_tools .section_ttl {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
  width: min(100% - 2rem, 920px);
  margin-inline: auto;
}
main .main_tools .section_ttl svg {
  display: block;
  height: 32px;
  fill: #202020;
}
main .main_tools .section_ttl .line {
  display: block;
  flex: 1;
  width: 100%;
  height: 0.5px;
  background-color: #aaa;
  z-index: -1;
  border-radius: 2px;
}
main .main_tools .tools_index {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
  flex-wrap: wrap;
  width: 100%;
  padding: 32px;
  margin-top: 24px;
  box-sizing: border-box;
  margin-inline: auto;
}
main .main_tools .tools_index .container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: min(100%, 420px);
  min-height: 196px;
  padding: 32px 12px;
  box-sizing: border-box;
  background-image: linear-gradient(190deg, #fff, #e2e2e2);
  border: 1px solid #ddd;
  box-shadow: 0 0 24px -16px rgba(0, 0, 0, 0.7333333333);
  border-radius: 16px;
}
main .main_tools .tools_index .container h3.ttl {
  display: block;
  font-weight: 500;
  color: #000;
  font-size: 24px;
  margin-bottom: 8px;
}
main .main_tools .tools_index .container p.desc {
  display: block;
  font-weight: 400;
  color: #202020;
  font-size: 17px;
  line-height: 1.3;
}
main .main_tools .tools_index .container .info {
  display: flex;
  align-items: center;
  width: 100%;
  margin-top: 16px;
}
main .main_tools .tools_index .container .info span {
  display: grid;
  place-items: center;
  padding-inline: 12px;
  height: 32px;
  border-radius: 100px;
  font-size: 14px;
  color: #000;
  font-weight: 400;
  line-height: 1;
}
main .main_tools .tools_index .container .info span.chrome {
  background-color: rgba(66, 133, 244, 0.1529411765);
}
main .main_tools .tools_index .container .info span.website {
  background-color: rgba(251, 188, 5, 0.1529411765);
}
main .main_tools .tools_index .container .info a {
  position: relative;
  margin-left: auto;
  display: grid;
  place-items: center;
  width: 156px;
  height: 32px;
  border: 1px solid #aaa;
  border-radius: 100px;
  z-index: 1;
  transition: all 0.4s cubic-bezier(0, 1, 0.5, 1);
}
main .main_tools .tools_index .container .info a::before {
  content: "";
  position: absolute;
  top: 10px;
  left: 26px;
  display: block;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background-color: #2020a0;
  z-index: -1;
  transition: scale 0.4s cubic-bezier(0, 1, 0.5, 1);
}
main .main_tools .tools_index .container .info a p {
  display: block;
  font-size: 16px;
  color: #2020a0;
  font-weight: 500;
  translate: 10px;
  transition: all 0.4s cubic-bezier(0, 1, 0.5, 1);
}
main .main_tools .tools_index .container .info a svg {
  display: block;
  position: absolute;
  top: 4px;
  right: 4px;
  width: 24px;
  fill: none;
  stroke: transparent;
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;
  transition: all 0.4s 0.08s cubic-bezier(0, 1, 0.5, 1);
}
main .main_tools .tools_index .container .info a:hover, main .main_tools .tools_index .container .info a.is-hover {
  border-color: #2020a0;
}
main .main_tools .tools_index .container .info a:hover::before, main .main_tools .tools_index .container .info a.is-hover::before {
  scale: 24;
}
main .main_tools .tools_index .container .info a:hover p, main .main_tools .tools_index .container .info a.is-hover p {
  color: #fff;
  translate: -12px;
}
main .main_tools .tools_index .container .info a:hover svg, main .main_tools .tools_index .container .info a.is-hover svg {
  stroke: #fff;
  translate: -12px;
}
main .main_aboutme {
  display: block;
  padding-block: 96px 32px;
  box-sizing: border-box;
}
main .main_aboutme .section_ttl {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
  width: min(100% - 2rem, 920px);
  margin-inline: auto;
}
main .main_aboutme .section_ttl svg {
  display: block;
  height: 32px;
  fill: #202020;
}
main .main_aboutme .section_ttl .line {
  display: block;
  flex: 1;
  width: 100%;
  height: 0.5px;
  background-color: #aaa;
  z-index: -1;
  border-radius: 2px;
}
main .main_aboutme .about_container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 24px;
  margin-top: 36px;
}
main .main_aboutme .about_container .con_element {
  display: flex;
  flex-direction: column;
  width: min(100% - 2rem, 560px);
}
main .main_aboutme .about_container .con_element p.ttl {
  display: block;
  font-size: 20px;
  font-weight: 500;
  color: #202020;
  line-height: 1.7;
}
main .main_aboutme .about_container .con_element .txt {
  display: flex;
  align-items: start;
  font-size: 17px;
  font-weight: 400;
  color: #333;
  line-height: 1.7;
  margin-left: 0.2em;
}
main .main_aboutme .about_container .con_element .txt svg {
  fill: none;
  height: 0.9lh;
  stroke-width: 1.5;
  stroke: #333;
  stroke-linecap: round;
  stroke-linejoin: round;
  margin-right: 8px;
  margin-top: 2px;
}
main .main_aboutme .about_container .con_element .txt span {
  display: block;
  min-width: 4.5em;
  text-align: justify;
  -moz-text-align-last: justify;
       text-align-last: justify;
}
main .main_aboutme .about_container .con_element .txt p {
  display: flex;
  align-items: start;
}
main .main_aboutme .about_container .con_element .txt p::before {
  content: ":";
  margin-inline: 6px;
}
main .main_aboutme .about_container .con_element .txt a {
  position: relative;
  display: block;
  padding-inline: 4px;
  font-size: 17px;
  font-weight: 400;
  color: #2020a0;
}
main .main_aboutme .about_container .con_element .txt a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 4px;
  width: 100%;
  height: 0.5px;
  background-color: #2020a0;
  border-radius: 4px;
  z-index: -1;
  transition: height 0.2s ease, background-color 0.5s 0.2s ease;
}
main .main_aboutme .about_container .con_element .txt a:hover::after {
  height: calc(100% - 8px);
  background-color: color-mix(in srgb, #2020a0, #fff 85%);
  transition: height 0.2s ease, background-color 0.1s ease;
}
main .main_aboutweb {
  display: block;
  padding-block: 96px 32px;
  box-sizing: border-box;
}
main .main_aboutweb .section_ttl {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
  width: min(100% - 2rem, 920px);
  margin-inline: auto;
}
main .main_aboutweb .section_ttl svg {
  display: block;
  height: 32px;
  fill: #202020;
}
main .main_aboutweb .section_ttl .line {
  display: block;
  flex: 1;
  width: 100%;
  height: 0.5px;
  background-color: #aaa;
  z-index: -1;
  border-radius: 2px;
}
main .main_aboutweb .container {
  display: flex;
  flex-direction: column;
  width: min(480px, 100% - 2rem);
  margin-inline: auto;
  margin-top: 28px;
}
main .main_aboutweb .container p.subttl {
  display: block;
  font-size: 18px;
  font-weight: 500;
  color: #202020;
  margin-top: 12px;
}
main .main_aboutweb .container .subdesc {
  display: block;
  margin-left: 4px;
  font-size: 16px;
  font-weight: 400;
  color: #333;
  word-break: keep-all;
}
main .main_aboutweb .container .subdesc a {
  position: relative;
  color: #333;
  word-break: keep-all;
  margin-inline: 4px;
}
main .main_aboutweb .container .subdesc a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0%;
  height: 0.5px;
  background-color: #333;
  transition: width 0.2s ease;
}
main .main_aboutweb .container .subdesc a:hover::after {
  width: 100%;
}

nav {
  position: fixed;
  left: 50%;
  translate: -50%;
  bottom: 32px;
  display: flex;
  align-items: center;
  border-radius: 100px;
  background-image: linear-gradient(190deg, rgba(255, 255, 255, 0.4), rgba(204, 204, 204, 0.4));
  backdrop-filter: blur(12px);
  box-shadow: 0 0 24px -12px rgba(0, 0, 0, 0.4666666667);
  border: 1px solid #ddd;
  padding: 4px;
  box-sizing: border-box;
  z-index: 99;
  transition: all 0.2s ease;
  animation: appear_nav 0.5s cubic-bezier(0, 1.25, 0.85, 1.2) both;
}
nav .insite {
  display: flex;
  align-items: center;
  transition: all 0.2s ease;
}
nav .insite a {
  display: flex;
  align-items: center;
  padding: 8px;
  width: 40px;
  box-sizing: border-box;
  border-radius: 100px;
  cursor: pointer;
  transition: all 0.2s ease;
  flex-shrink: 0;
  animation: appear_a 0.5s cubic-bezier(0.34, 1.56, 0.64, 1) both;
}
nav .insite a svg {
  width: 24px;
  fill: none;
  stroke: #202020;
  stroke-width: 1.5;
  flex-shrink: 0;
  transition: transform 0.2s ease;
}
nav .insite a p {
  display: block;
  font-size: 16px;
  font-weight: 500;
  color: #202020;
  flex-shrink: 0;
  padding-inline: 8px;
  opacity: 0;
  transition: opacity 0.2s ease;
}
nav .insite a:hover, nav .insite a.is-hover {
  background-color: rgba(0, 0, 0, 0.0941176471);
  width: auto;
}
nav .insite a:hover.insite_top, nav .insite a:hover.insite_close, nav .insite a.is-hover.insite_top, nav .insite a.is-hover.insite_close {
  width: 104px;
}
nav .insite a:hover.insite_yt, nav .insite a.is-hover.insite_yt {
  width: 126.69px;
}
nav .insite a:hover.insite_x, nav .insite a.is-hover.insite_x {
  width: 112.76px;
}
nav .insite a:hover p, nav .insite a.is-hover p {
  opacity: 1;
}
nav .insite a:active {
  scale: 0.95;
}
nav .insite:first-of-type a:nth-child(1) {
  animation-delay: 0.3s;
}
nav .insite:first-of-type a:nth-child(2) {
  animation-delay: 0.4s;
}
nav .insite:first-of-type a:nth-child(3) {
  animation-delay: 0.5s;
}
nav .insite:first-of-type a:nth-child(4) {
  animation-delay: 0.6s;
}
nav .insite:last-of-type a:nth-child(1) {
  animation-delay: 0.7s;
}
nav .insite:last-of-type a:nth-child(2) {
  animation-delay: 0.8s;
}
nav span.insite_hr {
  display: block;
  width: 0.5px;
  height: 20px;
  background-color: #aaa;
  margin-inline: 8px;
  border-radius: 2px;
  flex-shrink: 0;
  transition: all 0.2s ease;
  animation: appear_hr 0.3s ease both;
  animation-delay: 0.3s;
}
@keyframes appear_nav {
  0% {
    opacity: 0;
    scale: 0.8;
    translate: -50% 100px;
  }
  100% {
    opacity: 1;
    scale: 1;
    translate: -50% 0;
  }
}
@keyframes appear_hr {
  0% {
    height: 0;
  }
  100% {
    height: 20px;
  }
}
@keyframes appear_a {
  0% {
    scale: 0;
  }
  100% {
    scale: 1;
  }
}
@keyframes appear_logo {
  0% {
    opacity: 0;
    scale: 1.5;
    filter: blur(10px);
  }
  100% {
    opacity: 1;
    scale: 1;
    filter: blur(0);
  }
}
@keyframes fade_in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes appear_oth {
  0% {
    scale: 0;
  }
  100% {
    scale: 1;
  }
}

footer {
  display: grid;
  place-items: center;
  width: 100%;
  height: 72px;
}
footer p.copyright {
  display: block;
  font-size: 14px;
  color: #202020;
  font-weight: 400;
}

@keyframes loop-scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}
@media (max-width: 1080px) {
  header {
    height: 72px !important;
  }
  header .header_logo {
    width: 100%;
    height: 100%;
    margin-inline: auto;
  }
  header .header_logo:hover svg {
    fill: #202020 !important;
    padding-block: 4px !important;
  }
  main section.main_bio .bio_desc p {
    font-size: 16px;
  }
  main section.main_bio .bio_imgs {
    display: none;
  }
  main section.main_tools .section_ttl svg {
    height: 28px;
  }
  main section.main_tools .section_ttl .line {
    display: none;
  }
  main section.main_tools .tools_index .container p.desc {
    font-size: 15px;
  }
}